<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Django One Shot</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
                <a href="{% url 'todo_list_create' %}">Create a new list</a><br>
                <a href="{% url 'todo_item_create' %}">Create a new item</a>
            </p>
            <table>
                <tr>
                    <th>Name</th>
                    <th>Number of items</th>
                </tr>
                <tbody>
                    {% for todo_items in todo_list %}
                        <tr>
                            <td><a href="{% url 'todo_list_detail' todo_items.id %}">{{ todo_items.name }}</a></td>
                            <td>{{ todo_items.items.count }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
